Subject: [Gen-art] Gen-ART review of draft-ietf-sip-outbound-17

From: [email-masked]
Date: Wed, 20 May 2009 20:50:19 -0400

Cullen and Rohan,

I have been selected as the General Area Review Team (Gen-ART) 
reviewer for this draft (for background on Gen-ART, please see 
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please resolve these comments along with any other Last Call
comments you may receive.

Document: draft-ietf-sip-outbound-17
Reviewer: David L. Black
Review Date: May 20, 2009
IETF LC End Date: May 26, 2009

Summary:
This draft is basically ready for publication, but has nits
that should be fixed before publication.

Comments:
This is a well-written document about using SIP through a NAT,
including handling information that needs to flow inbound
through a NAT towards a User Agent and keep-alive techniques
for connections that may pass through a NAT.

The only nits worth mentioning are a couple of RFC reference
issues found by idnits 2.11.11:

  ** Obsolete normative reference: RFC 3489 (Obsoleted by RFC 5389)

  -- Obsolete informational reference (is this intentional?): RFC 4346
     (Obsoleted by RFC 5246)

Thanks,
--David
----------------------------------------------------
David L. Black, Distinguished Engineer
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------

---

From: Cullen Jennings <[email-masked]>
Date: Fri, 22 May 2009 12:25:25 -0600

David - thanks for the careful review ... more inline.

>  ** Obsolete normative reference: RFC 3489 (Obsoleted by RFC 5389)

This suspect we should move this to  be informative. We mostly  
reference 5389 but have one part were we want to say that there are no  
backwards compatibly requirements with the 3489.

>  -- Obsolete informational reference (is this intentional?): RFC 4346

It seems most people are not sure about which version of TLS we should  
be referencing on an extension to 3261. I'm going to ask the security  
ADs for their advice here. (We have the same question on a bunch of  
drafts)

Cullen <in my individual contributor role>

> _______________________________________________
> Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip

---

From: [email-masked]
Date: Wed, 27 May 2009 08:48:14 -0400

I just diff'ed -18 against -17.  Both of the RFC reference issues
noted in my Gen-ART review of -17 have been addressed in the -18
version.  The quick turnaround is impressive.

Thanks,
--David

> -----Original Message-----
> From: Cullen Jennings [mailto:[email-masked]] 
> Sent: Friday, May 22, 2009 2:25 PM
> To: Black, David; Francois Audet
> Cc: Rohan Mahy; Gen Art; SIP List; Keith Drage; Dean Willis
> Subject: Re: [Sip] Gen-ART review of draft-ietf-sip-outbound-17
> 
>